import i18n from "i18next";
import { useTranslation, initReactI18next } from "react-i18next";
import FirstSection_home_EN from "./en/home/firstSection.json";
import FirstSection_home_VI from "./vi/home/firstSection.json";
import AboutSection_home_EN from "./en/home/aboutSection.json";
import AboutSection_home_VI from "./vi/home/aboutSection.json";
import RoadMap_home_EN from "./en/home/roadmap.json";
import RoadMap_home_VI from "./vi/home/roadmap.json";
import QnA_home_EN from "./en/home/qna.json";
import QnA_home_VI from "./vi/home/qna.json";
import TokenomicsSection_home_EN from "./en/home/tokenomicsSection.json";
import TokenomicsSection_home_VI from "./vi/home/tokenomicsSection.json";
import FirstSection_healthCare_EN from "./en/healthCare/firstSection.json";
import SecondSection_healthCare_EN from "./en/healthCare/secondSection.json";
import FirstSection_healthCare_VI from "./vi/healthCare/firstSection.json";
import SecondSection_healthCare_VI from "./vi/healthCare/secondSection.json";
import MassAdoptionSection_healthCare_EN from "./en/healthCare/massAdoptionSection.json";
import MassAdoptionSection_healthCare_VI from "./vi/healthCare/massAdoptionSection.json";
import HowItWorksSection_healthCare_EN from "./en/healthCare/howItWorksSection.json";
import HowItWorksSection_healthCare_VI from "./vi/healthCare/howItWorksSection.json";
import JoinACommunityOfMillions_healthCare_EN from "./en/healthCare/JoinACommunityOfMillions.json";
import JoinACommunityOfMillions_healthCare_VI from "./vi/healthCare/JoinACommunityOfMillions.json";
import BuildForGrowthSection_healthCare_EN from "./en/healthCare/buildForGrowthSection.json";
import BuildForGrowthSection_healthCare_VI from "./vi/healthCare/buildForGrowthSection.json";

export const locales = {
  en: "English",
  vi: "Việt Nam",
};
export const resources = {
  en: {
    firstSectionHome: FirstSection_home_EN,
    aboutSectionHome: AboutSection_home_EN,
    roadmapHome: RoadMap_home_EN,
    qnaHome: QnA_home_EN,
    tokenomicHome: TokenomicsSection_home_EN,
    firstSectionHealthCare: FirstSection_healthCare_EN,
    secondSectionHealthCare: SecondSection_healthCare_EN,
    massAdoptionInsightHealthCare: MassAdoptionSection_healthCare_EN,
    howItWorksSectionHealthCare: HowItWorksSection_healthCare_EN,
    joinACommunityOfMillionsHealthCare: JoinACommunityOfMillions_healthCare_EN,
    buildForGrowthSectionHealthCare: BuildForGrowthSection_healthCare_EN,
  },
  vi: {
    firstSectionHome: FirstSection_home_VI,
    aboutSectionHome: AboutSection_home_VI,
    roadmapHome: RoadMap_home_VI,
    qnaHome: QnA_home_VI,
    tokenomicHome: TokenomicsSection_home_VI,
    firstSectionHealthCare: FirstSection_healthCare_VI,
    secondSectionHealthCare: SecondSection_healthCare_VI,
    massAdoptionInsightHealthCare: MassAdoptionSection_healthCare_VI,
    howItWorksSectionHealthCare: HowItWorksSection_healthCare_VI,
    joinACommunityOfMillionsHealthCare: JoinACommunityOfMillions_healthCare_VI,
    buildForGrowthSectionHealthCare: BuildForGrowthSection_healthCare_VI,
  },
};
i18n.use(initReactI18next).init({
  resources,
  lng: "en",
  fallbackLng: "en",
  interpolation: {
    escapeValue: false, // react already safes from xss
  },
});
