import React, { useState, useEffect } from "react";
import { useTranslation } from "react-i18next";
import { AiOutlineArrowRight } from "react-icons/Ai";
import buildofgrowth from "../../../assets/images/buildforgrowth.png";
import logoGoogle from "../../../assets/images/logoGoogle.png";
import logoMicrosoft from "../../../assets/images/logoMicrosoft.png";
import "../css/Competitions.css";

const BuildForGrowth = () => {
  const { t } = useTranslation("buildForGrowthSectionHealthCare");
  const [competitionsData, setCompetitionsData] = useState([]);
  const [growthBtn, setGrowthBtn] = useState(0);
  const [growthIndex, setGrowthIndex] = useState("");

  const handleSelectedGrowth = (item: any, index: any) => {
    setGrowthIndex(`${-20 * index}%`);
    setGrowthBtn(index);
  };
  useEffect(() => {
    setCompetitionsData(t("array", { returnObjects: true }));
  }, [t]);
  console.log(competitionsData);
  return (
    <div id="competitions" className="bg-[#212B30]">
      <div className="container w-[100%] mx-auto text-white  animate-on-scroll my-20 relative ">
        <div className="flex flex-col justify-between gap-6 ">
          <div className="flex justify-between">
            <h1 className="text-4xl font-bold ">{t("title")}</h1>
            <div className="flex items-center w-[55%]">
              {competitionsData.map((item: any, index) => (
                <div
                  key={index}
                  className={
                    "cursor-pointer " +
                    (growthBtn === index
                      ? "rounded-lg bg-gradient-to-r from-[#FFB55E] to-[#40E9AC] p-[1px]"
                      : "rounded-lg p-[1px]")
                  }
                  onClick={() => handleSelectedGrowth(item.button, index)}
                >
                  <p className="w-full h-full px-5 bg-[#212B30] py-2 rounded-lg">
                    {item?.button}
                  </p>
                </div>
              ))}
            </div>
          </div>
          <div className="flex justify-between ">
            <div className="w-[40%]">
              <img src={buildofgrowth} alt="" />
            </div>
            <div className="w-[55%] overflow-hidden">
              <div
                style={{ transform: `translateX(${growthIndex})` }}
                className={`flex w-[500%]  transition-all `}
              >
                {competitionsData.map((item: any, index) => (
                  <div className="flex flex-col gap-3 w-full">
                    <h3 className="font-semibold text-2xl">{item.title}</h3>
                    <span>{item.content}</span>
                    <div className="text-[#FFB55D] flex gap-6 items-center pt-3 group">
                      <a className="  underline" href={item.link}>
                        Lorem ipsum dolor sit amet
                      </a>
                      <AiOutlineArrowRight className="group-hover:translate-x-2  transition-all" />
                    </div>
                  </div>
                ))}
              </div>
            </div>
          </div>
          <div className=" flex  gap-20 justify-around items-center ">
            <img src={logoGoogle} alt="" />
            <img src={logoMicrosoft} alt="" />
            <img src={logoGoogle} alt="" />
            <img src={logoMicrosoft} alt="" />
            <img src={logoGoogle} alt="" />
            <img src={logoMicrosoft} alt="" />
            <img src={logoGoogle} alt="" />
          </div>
        </div>
      </div>
    </div>
  );
};

export default BuildForGrowth;
