import React from "react";
import robotImage from "../../../assets/images/robot-2.png";
import robotImage2 from "../../../assets/images/robot-coin1.png";
import vector from "../../../assets/images/vector.png";
import { useTranslation } from "react-i18next";
const FirstSection = () => {
  const { t } = useTranslation("firstSectionHealthCare");
  return (
    <div
      id="firstSection"
      className=" flex items-center  min-h-[100vh] bg-[#212B30]"
    >
      <div className="container w-full flex justify-between mx-auto items-center relative ">
        <div className="flex flex-col gap-8 flex-1 text-white z-10 max-w-[700px]">
          <h1 className="leading-[56px] text-5xl font-bold ">
            {t("title1")}{" "}
            <span className="bg-gradient-to-r from-[#FFB55E] to-[#0DEBF9] via-[#40E9CB] bg-clip-text text-transparent">
              {t("title2")}
            </span>{" "}
            {t("title3")}
          </h1>
          <span className="text-xl leading-snug ">{t("content")}</span>
          <div className="flex gap-4  ">
            <button className="bg-gradient-to-r from-[#FFB55E] to-[#40E9AC] px-4 py-2 rounded-lg hover:opacity-80">
              {t("button1")}
            </button>
            <button className="flex items-center bg-gradient-to-r from-[#FFB55E] to-[#40E9AC] p-[1px] rounded-lg hover:opacity-80">
              <div className="flex items-center text-center w-full h-full px-4 bg-[#212B30] rounded-lg">
                <span className="text-center">{t("button2")}</span>
              </div>
            </button>
          </div>
        </div>
        <div className=" w-[490px] absolute right-0 z-0">
          <img src={vector} alt="robot-ai" />
        </div>
      </div>
    </div>
  );
};

export default FirstSection;
