import { useEffect } from "react";
import { useTranslation } from "react-i18next";
import { BsDatabaseCheck } from "react-icons/bs";
import { RiCodeSSlashLine, RiSettings4Line } from "react-icons/ri";
import ImgJoin1 from "../../../assets/images/JoinsCoM1.png";
import ImgJoin2 from "../../../assets/images/JoinsCoM2.png";
import ImgJoin3 from "../../../assets/images/JoinsCoM3.png";
import ImgJoin4 from "../../../assets/images/JoinsCoM4.png";
import ImgJoin5 from "../../../assets/images/JoinsCoM5.png";
import React from "react";
import Aos from "aos";
import "aos/dist/aos.css";
const JoinACommunityOfMillions = () => {
  useEffect(() => {
    Aos.init();
  }, []);

  const { t } = useTranslation("joinACommunityOfMillionsHealthCare");
  return (
    <div
      className="w-full text-white bg-[#22353F] md:min-h-[60vh] animate-on-scroll py-20  rounded-lg px-10"
      id="solutionsOfProduct"
    >
      <div className=" mx-auto flex flex-col gap-y-10  h-full">
        <h1 className="text-4xl font-bold text-center pb-20 relative">
          {t("heading")}
        </h1>
        <div className="flex flex-col gap-10 justify-center text-center">
          <div className="flex  gap-5 justify-center">
            <div className="">
              <img className="" src={ImgJoin1} alt="" />
            </div>
            <div className="flex flex-col justify-between   ">
              <img className="" src={ImgJoin2} alt="" />
              <div className="h-1/2 flex flex-col justify-center gap-3">
                <span className="text-[#FFB55D] text-3xl font-semibold">
                  {t("number1")}
                </span>
                <span className="text-xl max-w-[242px]">{t("content1")}</span>
              </div>
            </div>
            <div className="   ">
              <img className="" src={ImgJoin3} alt="" />
            </div>
            <div className="flex flex-col justify-between   ">
              <div className="h-1/2 flex flex-col justify-center gap-3">
                <span className="text-[#65DD9B] text-3xl font-semibold">
                  {t("number2")}
                </span>
                <span className="text-xl max-w-[242px]">{t("content2")}</span>
              </div>
              <img className="" src={ImgJoin4} alt="" />
            </div>
            <div className="">
              <img className="" src={ImgJoin5} alt="" />
            </div>
          </div>
          <div>
            <p>{t("title")}</p>
          </div>
          <div>
            <button className="bg-gradient-to-r from-[#FFB55E] to-[#40E9AC] px-4 py-2 rounded-lg min-w-[102px]">
              {t("button")}
            </button>
          </div>
        </div>
      </div>
    </div>
  );
};

export default JoinACommunityOfMillions;
