import React, { useEffect } from "react";
import Aos from "aos";
import "aos/dist/aos.css";
import { useTranslation } from "react-i18next";

const MassAdoptionSection = () => {
  useEffect(() => {
    Aos.init();
  }, []);
  const { t } = useTranslation("massAdoptionInsightHealthCare");
  return (
    <div className=" py-20 bg-[#212B30] text-white md:min-h-[60vh] ">
      <div
        className="container w-full mx-auto flex justify-between animate-on-scroll"
        id="customerInsight"
      >
        <div className="w-[222px] pt-[100px]">
          <h1 className="text-3xl font-semibold leading-9">{t("heading")}​</h1>
        </div>
        <div className="flex justify-end gap-20">
          <div className="flex flex-col justify-end mt-[100px] gap-20 max-w-[344px]">
            <div className="flex flex-col gap-6">
              <div className="flex flex-col gap-3">
                <div className="flex gap-3">
                  <img src={t("line1") || ""} alt="" />
                  <span className="text-2xl font-semibold leading-9">
                    {t("title1")}
                  </span>
                </div>
                <span>{t("content1_1")}</span>
              </div>
              <div className="flex flex-col gap-3">
                <span className="text-3xl font-semibold leading-7">
                  {t("content1_2")}
                </span>
                <span className="text-xl font-normal leading-6">
                  {t("content1_3")}
                </span>
              </div>
            </div>
            <div className="flex flex-col gap-6">
              <div className="flex flex-col gap-3">
                <div className="flex gap-3">
                  <img src={t("line2") || ""} alt="" />
                  <span className="text-2xl font-semibold leading-9">
                    {t("title1")}
                  </span>
                </div>
                <span>{t("content2_1")}</span>
              </div>
              <div className="flex flex-col gap-3">
                <span className="text-3xl font-semibold leading-7">
                  {t("content2_2")}
                </span>
                <span className="text-xl font-normal leading-6">
                  {t("content2_3")}
                </span>
              </div>
            </div>
          </div>
          <div className="flex flex-col justify-start gap-20 max-w-[344px]">
            <div className="flex flex-col gap-6 ">
              <div className="flex flex-col gap-3">
                <div className="flex gap-3">
                  <img src={t("line3") || ""} alt="" />
                  <span className="text-2xl font-semibold leading-9">
                    {t("title3")}
                  </span>
                </div>
                <span>{t("content3_1")}</span>
              </div>
              <div className="flex flex-col gap-3">
                <span className="text-3xl font-semibold leading-7">
                  {t("content3_2")}
                </span>
                <span className="text-xl font-normal leading-6">
                  {t("content3_3")}
                </span>
              </div>
            </div>
            <div className="flex flex-col gap-6">
              <div className="flex flex-col gap-3">
                <div className="flex gap-3">
                  <img src={t("line4") || ""} alt="" />
                  <span className="text-2xl font-semibold leading-9">
                    {t("title4")}
                  </span>
                </div>
                <span>{t("content4_1")}</span>
              </div>
              <div className="flex flex-col gap-3">
                <span className="text-3xl font-semibold leading-7">
                  {t("content4_2")}
                </span>
                <span className="text-xl font-normal leading-6">
                  {t("content4_3")}
                </span>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  );
};

export default MassAdoptionSection;
