import { useState, useEffect } from "react";
import { useTranslation } from "react-i18next";
import Aos from "aos";
import "aos/dist/aos.css";

const SectionSection = () => {
  useEffect(() => {
    Aos.init();
  }, []);
  const { t } = useTranslation("secondSectionHealthCare");
  const [problemsSectionData, setProblemsSectionData] = useState([]);
  useEffect(() => {
    setProblemsSectionData(t("data", { returnObjects: true }));
  }, [t]);
  return (
    <div className="bg-[#22353F]">
      <div
        className="container flex flex-col w-[100%] mx-auto  min-h-[175px] py-20 text-white animate-on-scroll relative gap-10"
        id="problems"
      >
        <h1 className="text-4xl font-bold text-center">{t("title")}</h1>
        <div
          className="flex flex-col items-center justify-between md:flex-row  gap-14 
         "
        >
          {problemsSectionData.map((item: any, index) => {
            return (
              <>
                <p className="line-problems first:hidden my-auto w-1 h-[99px] bg-gradient-to-b from-[#FFB55E] to-[#40E9AC]"></p>
                <div
                  data-aos="flip-left"
                  data-aos-duration="500"
                  className="flex h-full [&>*:first-child]:items-center w-1/4 "
                >
                  <div className="relative flex items-center gap-2 justify-center ">
                    <span
                      className="text-5xl text-[#FFB55D] font-[600]"
                      key={item.title + index}
                    >
                      {item.title}
                    </span>
                    <span className="text-base leading-snug font-[600]">
                      {item.content}
                    </span>
                  </div>
                </div>
              </>
            );
          })}
        </div>
      </div>
    </div>
  );
};

export default SectionSection;
